%define upstream_name    File-Serialize
%define upstream_version 1.0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    DWIM file serialization/deserialization
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(Exporter::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util) >= 1.410.0
BuildRequires: perl(Module::Info)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(feature)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
_File::Serialize_ provides a common, simple interface to file serialization
-- you provide the file path, the data to serialized, and the module takes
care of the rest. Even the serialization format, unless specified
explicitly as part of the options, is detected from the file extension.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml SIGNATURE
%{_bindir}/transerialize
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.0.1-2.mga6
+ Revision: 1027535
- Rebuild for perl 5.22.2

* Sat Mar 05 2016 shlomif <shlomif> 1.0.1-1.mga6
+ Revision: 986130
- New version 1.0.1

* Mon Jan 18 2016 shlomif <shlomif> 0.5.0-1.mga6
+ Revision: 925427
- imported package perl-File-Serialize


* Mon Jan 18 2016 cpan2dist 0.5.0-1mga
- initial mageia release, generated with cpan2dist
